Bug 162580 - modem does not see phone line
modem does not see phone line
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-06 11:01 EDT by Steve
Modified: 2015-01-04 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2005-07-06 11:01:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
NO DIALTONE

with new kernel in fc4

Version-Release number of selected component (if applicable):
2.6.12-1.1387_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot with new kernel
2. try to dial in to ISP
3.
  

Actual Results:  # uname -r
2.6.12-1.1387_FC4
# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
NO DIALTONE
--> No dial tone.
--> Disconnecting at Wed Jul  6 19:41:53 2005

Expected Results:  #uname -r
2.6.11-1.27_FC3

# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
CONNECT 49333
--> Carrier detected.  Waiting for prompt.
** Ascend TNT Terminal Server **
Login:
--> Looks like a login prompt.
--> Sending: roylance
roylance
Password:
--> Looks like a password prompt.
--> Sending: (password)
    Entering PPP Session.
    IP address is 203.123.88.215
    MTU is 1524.
--> Looks like a welcome message.
--> Starting pppd at Wed Jul  6 10:02:09 2005
--> pid of pppd: 15350
--> Using interface ppp0

Additional info:
Comment 1 Steve 2005-07-06 11:19:48 EDT
hardware is the smartlink internal modem for a laptop (Clevo D410)
uses the snd_intel8x0m module.
Comment 2 Dave Jones 2005-07-15 17:03:34 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 Steve 2005-07-22 00:59:47 EDT
installed the ...1398 kernel and regenerated the configs as shown
these and other outputs are stored at 
http://www.corplink.com.au/~roylance/bugs/

no luck.


# /usr/sbin/slmodemd --alsa --country=AUSTRALIA hw:1
SmartLink Soft Modem: version 2.9.10 Dec  7 2004 14:21:17
symbolic link `/dev/ttySL0' -> `/dev/pts/0' created.
modem `hw:1' created. TTY is `/dev/pts/0'
Use `/dev/ttySL0' as modem device, Ctrl+C for termination.

# uname -r
2.6.12-1.1398_FC4

# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
NO DIALTONE
--> No dial tone.
--> Disconnecting at Fri Jul 22 13:56:48 2005

# cat /etc/rc.local
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

ifconfig eth0 down

/usr/local/bin/clcache
cd /var/log/
chmod -R 777 ppp

/sbin/modprobe snd-intel8x0m
/usr/sbin/slmodemd --alsa --country=AUSTRALIA hw:1 &

echo parallel port ; /sbin/modprobe parport_pc
echo oss sound     ; /sbin/modprobe snd-pcm-oss
/bin/mount -o loop /win/ddrive/surf/linux/docucd-v202.iso /media/book
sleep 5

Comment 4 Steve 2005-08-08 02:06:12 EDT
here is a test with latest FC3 kernel

# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
NO DIALTONE
--> No dial tone.
--> Disconnecting at Mon Aug  8 15:49:46 2005

# uname -r
2.6.12-1.1372_FC3
Comment 5 Nicolas Carranza 2005-08-19 00:34:59 EDT
The same happends to me using 2.6.12-1.1372_FC3. Something is wrong with the new
snd_intel8x0m (or anywhey in its way ;). 
Comment 6 Nicolas Carranza 2005-08-19 00:36:19 EDT
The same happends to me using 2.6.12-1.1372_FC3. Something is wrong with the new
snd_intel8x0m (or anywhere in its way ;). 
Comment 7 Dave Jones 2005-09-30 02:02:32 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 8 Steve 2005-10-03 03:26:30 EDT
installed 1526 kernel and rebooted and tested, then rebooted to the 27 kernel
and logged on to file this report.

here is a test with latest FC4 kernel
kernel-2.6.13-1.1526_FC4

# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
NO DIALTONE
--> No dial tone.
--> Disconnecting at Mon Oct  3 13:36:14 2005

and after with the FC3 kernel
kernel-2.6.11-1.27_FC3
# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
CONNECT 46667
--> Carrier detected.  Waiting for prompt.
** Ascend TNT Terminal Server **
Login:
--> Looks like a login prompt.
--> Sending: roylance
roylance
Password:
--> Looks like a password prompt.
--> Sending: (password)
    Entering PPP Session.
    IP address is 203.123.89.67
    MTU is 1524.
--> Looks like a welcome message.
--> Starting pppd at Mon Oct  3 13:43:07 2005
--> pid of pppd: 4610
--> Using interface ppp0
--> local  IP address 203.123.89.67
--> remote IP address 203.123.69.11
--> primary   DNS address 203.123.69.15
--> secondary DNS address 203.123.73.59
Comment 9 Dave Jones 2005-11-10 13:59:02 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 10 Steve 2005-11-13 07:26:39 EST
# uname -r
2.6.14-1.1637_FC4

# wvdial lexicon
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT99931435
--> Waiting for carrier.
ATDT99931435
NO DIALTONE
--> No dial tone.
--> Disconnecting at Fri Nov 11 14:30:25 2005

#
-------------------------------------------------------
switched back to 2.6.11 to communicate
Comment 11 Dave Jones 2006-02-03 01:24:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 12 Steve 2006-02-05 04:17:23 EST
tested with kernel 2.6.15-1.1830_FC4
result NO DIALTONE
Comment 13 Nicolas Carranza 2006-02-05 14:55:35 EST
It may be "a bug" in the slmodem driver. Look at this:
http://www.linux-on-laptops.com/forum/showthread.php?s=3ae8e85850e28b23e30f35ac14863423&t=3&page=2&pp=10
Comment 14 Nicolas Carranza 2006-02-05 15:14:47 EST
Instructions to patch slmodem 2.9.10 are here:
http://www.guiadohardware.net/linux/dicas/131.htm
I have not tested this.
Comment 15 Steve 2006-03-31 08:55:31 EST
grabed the patch to slmodem
installed kernel 2.6.16-1.2069
rebooted to new kernel
built the modem
# tar zxvf slmodem-2.9.10.tar.gz
# patch -p0 < slmodem-2.9.10.patch
# cd slmodem-2.9.10
# cd modem
# make SUPPORT_ALSA=1
# cp slmodemd /usr/sbin/slmodemdp

edited /etc/rc.local to include
/usr/sbin/slmodemdp --alsa --country=AUSTRALIA hw:1 &
rebooted to kernel 2.6.16-1.2069
tested modem - no change
rebooted to kernel 2.6.11-1.27_FC3
modem works (did not change rc.local so I am runing on the new version)
Comment 16 Dave Jones 2006-09-16 21:01:24 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 17 Dave Jones 2006-10-16 16:03:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 18 Jon Stanley 2008-01-19 23:36:42 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.